Open SCAP Library

Public Member Functions | Data Fields
cvrf_product_name Struct Reference

## Public Member Functions
xmlNode * | cvrf_product_name_to_dom (struct cvrf_product_name *full_name)
| Parent: CVRF ProductTree, Branch, Relationship, or Group element. More...
struct cvrf_product_name * | cvrf_product_name_new (void)
| New FullProductName of Branch or ProductTree. More...
void | cvrf_product_name_free (struct cvrf_product_name *full_name)
| Deallocates memory for a FullProductName element. More...
struct cvrf_product_name * | cvrf_product_name_clone (const struct cvrf_product_name *full_name)
const char * | cvrf_product_name_get_product_id (const struct cvrf_product_name *full_name)
const char * | cvrf_product_name_get_cpe (const struct cvrf_product_name *full_name)
bool | cvrf_product_name_set_product_id (struct cvrf_product_name *full_name, const char *product_id)
bool | cvrf_product_name_set_cpe (struct cvrf_product_name *full_name, const char *cpe)

## Data Fields
char * | product_id
char * | cpe

## Member Function Documentation

## ◆ cvrf_product_name_to_dom()

xmlNode * cvrf_product_name_to_dom | ( | struct cvrf_product_name * | full_name | ) |

Parent: CVRF ProductTree, Branch, Relationship, or Group element.

Parameters

  full_name | CVRF FullProductName structure to be exported to XML

Returns
  xmlNode representing FullProductName element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h